---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    kubectl.kubernetes.io/default-container: sriov-network-config-daemon
    openshift.io/required-scc: privileged
    openshift.io/scc: privileged
  creationTimestamp: "2025-10-27T12:38:54Z"
  generateName: sriov-network-config-daemon-
  labels:
    app: sriov-network-config-daemon
    component: network
    controller-revision-hash: d6bc4f569
    openshift.io/component: network
    pod-template-generation: "1"
    type: infra
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubectl.kubernetes.io/default-container: {}
          f:openshift.io/required-scc: {}
          f:target.workload.openshift.io/management: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
          f:controller-revision-hash: {}
          f:openshift.io/component: {}
          f:pod-template-generation: {}
          f:type: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b8f0c2a6-8463-4710-9e40-790c72ad8b11"}: {}
      f:spec:
        f:affinity:
          .: {}
          f:nodeAffinity:
            .: {}
            f:requiredDuringSchedulingIgnoredDuringExecution: {}
        f:containers:
          k:{"name":"sriov-network-config-daemon"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"CLUSTER_TYPE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"DEV_MODE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
              k:{"name":"NODE_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:lifecycle:
              .: {}
              f:preStop:
                .: {}
                f:exec:
                  .: {}
                  f:command: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/host"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:hostNetwork: {}
        f:hostPID: {}
        f:initContainers:
          .: {}
          k:{"name":"rdma-cni"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/host/etc/os-release"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/host/opt/cni/bin"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"sriov-cni"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/host/etc/os-release"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/host/opt/cni/bin"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"sriov-infiniband-cni"}:
            .: {}
            f:args: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
            f:securityContext:
              .: {}
              f:privileged: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/host/etc/os-release"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
              k:{"mountPath":"/host/opt/cni/bin"}:
                .: {}
                f:mountPath: {}
                f:name: {}
        f:nodeSelector: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"cnibin"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"host"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
          k:{"name":"os-release"}:
            .: {}
            f:hostPath:
              .: {}
              f:path: {}
              f:type: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2025-10-27T12:38:54Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"PodReadyToStartContainers"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:hostIPs: {}
        f:initContainerStatuses: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.46.248.134"}:
            .: {}
            f:ip: {}
          k:{"ip":"2620:52:0:2ef8::86"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    subresource: status
    time: "2025-10-27T12:39:24Z"
  name: sriov-network-config-daemon-j65hv
  namespace: openshift-sriov-network-operator
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: sriov-network-config-daemon
    uid: b8f0c2a6-8463-4710-9e40-790c72ad8b11
  resourceVersion: "50495"
  uid: 4e1d749e-d960-4de9-984c-07b6009a7e6e
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - cnvqe-072.lab.eng.tlv2.redhat.com
  containers:
  - args:
    - start
    command:
    - sriov-network-config-daemon
    env:
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: CLUSTER_TYPE
      value: openshift
    - name: DEV_MODE
      value: "TRUE"
    image: registry.redhat.io/openshift4/ose-sriov-network-config-daemon-rhel9@sha256:255492f2f5c2415451ef7f770f70f02260e42bc42c56090456dfcbbbebec9157
    imagePullPolicy: IfNotPresent
    lifecycle:
      preStop:
        exec:
          command:
          - /bindata/scripts/clean-k8s-services.sh
    name: sriov-network-config-daemon
    resources:
      requests:
        cpu: 100m
        memory: 100Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /host
      name: host
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  hostNetwork: true
  hostPID: true
  initContainers:
  - args:
    - --no-sleep
    image: registry.redhat.io/openshift4/sriov-cni-rhel9@sha256:536df822abdf8f47cbe9d795085271af40de8a68c1bd57a33654d521c164f1bd
    imagePullPolicy: IfNotPresent
    name: sriov-cni
    resources:
      requests:
        cpu: 10m
        memory: 10Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /host/opt/cni/bin
      name: cnibin
    - mountPath: /host/etc/os-release
      name: os-release
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
  - args:
    - --no-sleep
    image: registry.redhat.io/openshift4/ose-sriov-infiniband-cni-rhel9@sha256:918e7772077cc63094118344fddb52e9e0d51d280bea0a281c7396cf77229d57
    imagePullPolicy: IfNotPresent
    name: sriov-infiniband-cni
    resources:
      requests:
        cpu: 10m
        memory: 10Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /host/opt/cni/bin
      name: cnibin
    - mountPath: /host/etc/os-release
      name: os-release
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
  - args:
    - --no-sleep
    image: registry.redhat.io/openshift4/ose-sriov-rdma-cni-rhel9@sha256:5c48a8d8b397bf5074e8508a4c1e4600f55be8028a0862f7cbf9cf4d0a9e8a08
    imagePullPolicy: IfNotPresent
    name: rdma-cni
    resources:
      requests:
        cpu: 10m
        memory: 10Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /host/opt/cni/bin
      name: cnibin
    - mountPath: /host/etc/os-release
      name: os-release
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
  nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
  nodeSelector:
    feature.node.kubernetes.io/network-sriov.capable: "true"
  preemptionPolicy: PreemptLowerPriority
  priority: 2000001000
  priorityClassName: system-node-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: sriov-network-config-daemon
  serviceAccountName: sriov-network-config-daemon
  terminationGracePeriodSeconds: 30
  tolerations:
  - operator: Exists
  volumes:
  - hostPath:
      path: /
      type: ""
    name: host
  - hostPath:
      path: /var/lib/cni/bin
      type: ""
    name: cnibin
  - hostPath:
      path: /etc/os-release
      type: File
    name: os-release
  - name: kube-api-access-s695h
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:39:01Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:39:15Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:39:24Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:39:24Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-10-27T12:38:54Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://a0af02ffad5f5935f886b76c6be7786fa9965c98ff23613f2c89e5881ca24a6e
    image: registry.redhat.io/openshift4/ose-sriov-network-config-daemon-rhel9@sha256:255492f2f5c2415451ef7f770f70f02260e42bc42c56090456dfcbbbebec9157
    imageID: registry.redhat.io/openshift4/ose-sriov-network-config-daemon-rhel9@sha256:255492f2f5c2415451ef7f770f70f02260e42bc42c56090456dfcbbbebec9157
    lastState: {}
    name: sriov-network-config-daemon
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-10-27T12:39:23Z"
    volumeMounts:
    - mountPath: /host
      name: host
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.46.248.134
  hostIPs:
  - ip: 10.46.248.134
  - ip: 2620:52:0:2ef8::86
  initContainerStatuses:
  - containerID: cri-o://cf23c6f80d2838f1b9703970787e33e369d47d6cc2c8c3d89aa9dd0af10e0d83
    image: registry.redhat.io/openshift4/sriov-cni-rhel9@sha256:536df822abdf8f47cbe9d795085271af40de8a68c1bd57a33654d521c164f1bd
    imageID: registry.redhat.io/openshift4/sriov-cni-rhel9@sha256:125aee36d02c392bad9cea4a6a9eba09787b8590c497977fc9ecfef2df53319f
    lastState: {}
    name: sriov-cni
    ready: true
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://cf23c6f80d2838f1b9703970787e33e369d47d6cc2c8c3d89aa9dd0af10e0d83
        exitCode: 0
        finishedAt: "2025-10-27T12:39:00Z"
        reason: Completed
        startedAt: "2025-10-27T12:39:00Z"
    volumeMounts:
    - mountPath: /host/opt/cni/bin
      name: cnibin
    - mountPath: /host/etc/os-release
      name: os-release
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://c6591d7e5a771ba7c3c038e6b18caecb9e026453057838841a87d673a97d28ce
    image: registry.redhat.io/openshift4/ose-sriov-infiniband-cni-rhel9@sha256:918e7772077cc63094118344fddb52e9e0d51d280bea0a281c7396cf77229d57
    imageID: registry.redhat.io/openshift4/ose-sriov-infiniband-cni-rhel9@sha256:364c27df1c1be6dede0575638e69eaf38861c6eca99b0adf649cd056e9b195c4
    lastState: {}
    name: sriov-infiniband-cni
    ready: true
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://c6591d7e5a771ba7c3c038e6b18caecb9e026453057838841a87d673a97d28ce
        exitCode: 0
        finishedAt: "2025-10-27T12:39:07Z"
        reason: Completed
        startedAt: "2025-10-27T12:39:07Z"
    volumeMounts:
    - mountPath: /host/opt/cni/bin
      name: cnibin
    - mountPath: /host/etc/os-release
      name: os-release
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
      recursiveReadOnly: Disabled
  - containerID: cri-o://80d8e7db3b32bdd9e0ffbd6b54dc70d1edf89a5d52dc2476ffd22f9dab45aa2a
    image: registry.redhat.io/openshift4/ose-sriov-rdma-cni-rhel9@sha256:5c48a8d8b397bf5074e8508a4c1e4600f55be8028a0862f7cbf9cf4d0a9e8a08
    imageID: registry.redhat.io/openshift4/ose-sriov-rdma-cni-rhel9@sha256:5c48a8d8b397bf5074e8508a4c1e4600f55be8028a0862f7cbf9cf4d0a9e8a08
    lastState: {}
    name: rdma-cni
    ready: true
    restartCount: 0
    started: false
    state:
      terminated:
        containerID: cri-o://80d8e7db3b32bdd9e0ffbd6b54dc70d1edf89a5d52dc2476ffd22f9dab45aa2a
        exitCode: 0
        finishedAt: "2025-10-27T12:39:15Z"
        reason: Completed
        startedAt: "2025-10-27T12:39:15Z"
    volumeMounts:
    - mountPath: /host/opt/cni/bin
      name: cnibin
    - mountPath: /host/etc/os-release
      name: os-release
      readOnly: true
      recursiveReadOnly: Disabled
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-s695h
      readOnly: true
      recursiveReadOnly: Disabled
  phase: Running
  podIP: 10.46.248.134
  podIPs:
  - ip: 10.46.248.134
  - ip: 2620:52:0:2ef8::86
  qosClass: Burstable
  startTime: "2025-10-27T12:38:54Z"
